###############################################################################
###############################################################################
##
##  Copyright (C) 2004-2006 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

Source10: kmodtool_lpfc
Source11: find-requires.ksyms
Source12: symbols.greylist

%define kmodtool bash %{SOURCE10}
%define __find_requires %_sourcedir/find-requires.ksyms
%{!?kversion: %define kversion 2.6.18-164.11.1.el5}

%define kmod_name lpfc
%define kmod_rel rhel5u4
%define kverrel %(%{kmodtool} verrel %{?kversion} 2>/dev/null)

%ifarch i686 x86_64 ia64
%define xenvar xen
%endif

%ifarch i686
%define paevar PAE
%endif

%define upvar ""
%{!?kvariants: %define kvariants %{?upvar} %{?xenvar} %{?paevar}}

Name:           %{kmod_name}-kmod
Version:        8.2.0.63.1p
Release:        1.4%{?dist}
Summary:        %{kmod_name} kernel module

Group:          System Environment/Kernel
License:        GPL
URL:            http://www.intel.com/
Source0:        lpfc-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch:  i686 x86_64

%description
lpfc - driver update

# magic hidden here:
%{expand:%(%{kmodtool} rpmtemplate_kmp %{kmod_name} %{kmod_rel} %{kverrel} %{kvariants} 2>/dev/null)}

%prep
# to understand the magic better or to debug it, uncomment this:
#{kmodtool} rpmtemplate_kmp %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null
#sleep 5
%setup -q -c -T -a 0
for kvariant in %{kvariants} ; do
    cp -a lpfc-%{version} _kmod_build_$kvariant
done


%build
echo  %{kverrel}
for kvariant in %{kvariants}
do
    ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
    pushd _kmod_build_$kvariant
    make -C "${ksrc}" modules M=$PWD
    popd
done


%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{kmod_name}-%{kmod_rel}
for kvariant in %{kvariants}
do
    ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
    pushd _kmod_build_$kvariant
    make -C "${ksrc}" modules_install M=$PWD
    popd
done

# create depmod configuration
mkdir -p ${RPM_BUILD_ROOT}/etc/depmod.d
cat<<EOF > ${RPM_BUILD_ROOT}/etc/depmod.d/%{kmod_name}-%{kmod_rel}.conf
override %{kmod_name} * weak-updates/%{kmod_name}-%{kmod_rel}
EOF

mkdir -p ${RPM_BUILD_ROOT}/lib/firmware

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Mar  8 2010 Jiri Olsa <jolsa@redhat.com> - 1.4
- upgrade to version 8.2.0.63.1p

* Thu Feb 25 2010 Jiri Olsa <jolsa@redhat.com> - 1.3
- adding depmod configuration

* Wed Feb 24 2010 Jiri Olsa <jolsa@redhat.com> - 1.2
- added support for grey symbols

* Thu Feb 11 2010 Jiri Olsa <jolsa@redhat.com> - 1.1
- Fixing package name.

* Thu Feb 11 2010 Jiri Olsa <jolsa@redhat.com> - 1.0
- Initial lpfc 5.4-Z stream package.
